WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Multisite stuck at version 3.3.2 ? (16 posts)

  1. triballus
    Member
    Posted 1 year ago #

    Hi folks,

    I am running WP 3.3.2, which I changed to Multisite a while back - all appears to be working well with a new site created and operating as expected. I noticed that WP is recommending that all sites move to 3.5.2 as of last month and I realised that I had not been prompted to update the site or network for some time. Both the network and site admin pages report that my instance is up to date at 3.3.2. I forced a network update from the main admin page ("Update Network") - it completes successfully, reporting "All done!".

    I checked wp-includes/version.php and it states 3.3.2

    Is there a fault with my site that is preventing it detecting that a new update is available, or is it the case that Multisite installations should still be at 3.3.2 ?.

    It may be that Multisite installations require manual upgrade so please set me straight - can't see any guidance on this in the forum.

    Otherwise, the problem is a strange one. Any advice from the community would be very welcome.

    Toodle pip !
    Trib

    Blogging at http://www.babbletalk.net

  2. What plugins are you running?

  3. triballus
    Member
    Posted 1 year ago #

    Hi Mika,

    I've got the following as Active:

    Advertising Manager
    Akismet
    All in One SEO Pack
    Auto Twitter
    Backup WordPress
    del.icio.us
    Global Translator
    Header and Footer
    Jetpack
    Post-Ticker
    Share This
    Spacer
    WP_Postviews
    WP-Stats

    There are more that are inactive. Also, the Active-versus-Inactive list varies between subsites (I have only two subsites) but I guess this is expected depending on where the various plugins have been enabled.

    Does this shed any light ?
    Thanks
    Trib

  4. Don't use <li> without the <ul> please :) Our forums are stupid.

    Are you getting update alerts for your plugins?

  5. triballus
    Member
    Posted 1 year ago #

    Will do.

    I was receiving alerts after the multisite installation - I seem to remember upgrading SEO Pack a month or two ago - but not received any for a while. (I tried de-activating SEO Pack and checking for updates but no change - WP stating that all are up to date).

  6. Hrm. From your server, try pinging wordpress.org See if that works. It may be a lack of connectivity.

  7. triballus
    Member
    Posted 12 months ago #

    Thanks Mika. I can ping WP fine from the server so no probs there.

  8. triballus
    Member
    Posted 12 months ago #

    Quick update: I got prompted to update 2 plugins today (ShareThis and Header & Footer) so that side of the system is working as expected. They updated fine.

    I clicked on the button to 'ReCheck' if WordPress was up to date and it responded with no errors - still saying that v 3.3.2 is the latest version. Problem remains :-(

  9. jkhongusc
    Member
    Posted 12 months ago #

    What does it say in /wp-includes/version.php ($wp_version = )? Maybe just that file is not getting updated?

  10. triballus
    Member
    Posted 12 months ago #

    Hi JK,

    Yeah, I checked that.

    "I checked wp-includes/version.php and it states 3.3.2"

    ???

  11. jkhongusc
    Member
    Posted 12 months ago #

    You should check your directory/file permissions. For some reason version.php is not getting updated when you update WP. You might want to try renaming version.php (e.g. version-old.php) before your next upgrade or (better solution) you might want to download the version of WP that you are using and copy/upload/replace version.php manually.

  12. triballus
    Member
    Posted 12 months ago #

    Thanks. I downloaded 3.3.2 again to a separate directory. DIFF shows no differences between the downloaded and live version.php files. I also checked the permissions - they are the same.

    I looked over a few other files - I found a difference in upgrade.php :
    19,20d18
    < if(!current_user_can('level_10'))
    < wp_safe_redirect('../wp-login.php?upgrade');

    but when I overwrite the original with the downloaded version, it makes no difference to the update issue. No version update is performed.

    One other thing I noted: on the Network Updates page within Network Admin, some text is not showing the version number, replacing it with a dash. For example, the following text appears under "You have the latest version of WordPress":

    You have the latest version of WordPress. You do not need to update. However, if you want to re-install version –, you can do so automatically or download the package and re-install manually:

    Note how it says "re-install version -" showing a dash instead of the version number. It certainly looks like a missing variable or permissions issue but I am struggling to pin it down. Any inspiration from the above clues welcome :-).

  13. I would try manually upgrading to 3.4 and see if that 'fixes' it.

    If i had to pick a plugin, I'd start with Global Translator

  14. jkhongusc
    Member
    Posted 12 months ago #

    triballus -
    Sorry I guess I misunderstood what happened. I thought you had upgraded to a higher version but that your instance still reported 3.3.2. As I understand it, your instance reports 3.3.2 AND does not allow you to upgrade (thinks that 3.3.2 is the most current).

    If you are adventurous I have a script for you. It will print out your current WP version (should be 3.3.2), then calls a WP url to find the latest version and prints out that version. Save this file as <wp base>/wp-up.php then call it from your browser.

    <?php
    require( dirname(__FILE__) . '/wp-load.php' );
    require_once('./wp-admin/includes/update.php');
    
    $url = 'http://api.wordpress.org/core/version-check/1.6/?' . http_build_query( $query, null, '&' );
    $options = array(
                    'timeout' => ( ( defined('DOING_CRON') && DOING_CRON ) ? 30 : 3 ),
                    'user-agent' => 'WordPress/' . $wp_version . '; ' . home_url( '/' ),
                    'headers' => array(
                            'wp_install' => $wp_install,
                            'wp_blog' => home_url( '/' )
                    )
    );
    
    print "getting remote url: $url<br>";
    $response = wp_remote_get($url, $options);
    if ( is_wp_error( $response ) || 200 != wp_remote_retrieve_response_code( $response ) ) {
            print "couldnt connect to: $url";
            exit(1);
    }
    
    $body = trim( wp_remote_retrieve_body( $response ) );
    $body = maybe_unserialize( $body );
    if ( ! is_array( $body ) || ! isset( $body['offers'] ) ) {
            print "couldnt extract body: $url";
            exit(1);
    }
    
    $offers = $body['offers'];
    foreach ( $offers as &$offer ) {
            foreach ( $offer as $offer_key => $value ) {
                    if ( 'packages' == $offer_key )
                            $offer['packages'] = (object) array_intersect_key( array_map( 'esc_url', $offer['packages'] ),
                            array_fill_keys( array( 'full', 'no_content', 'new_bundled', 'partial' ), '' ) );
                    elseif ( 'download' == $offer_key )
                            $offer['download'] = esc_url( $value );
                    else
                            $offer[ $offer_key ] = esc_html( $value );
            }
            $offer = (object) array_intersect_key( $offer, array_fill_keys( array( 'response', 'download', 'locale',
                    'packages', 'current', 'php_version', 'mysql_version', 'new_bundled', 'partial_version' ), '' ) );
    }
    print "current wp_version: ". $wp_version."<br>";
    print "remote version_check: ". $offer->current."<br>";
    ?>

    If that script works properly, your output should look like this:
    '
    getting remote url: http://api.wordpress.org/core/version-check/1.6/?
    current wp_version: 3.3.2
    remote version_check: 3.5.2
    '

    In your situation, I would definitely do a manual upgrade.

  15. triballus
    Member
    Posted 11 months ago #

    Thanks JK - yep, the script confirms the difference:

    current wp_version: 3.3.2
    remote version_check: 3.5.2

    .... so I am going to do a manual upgrade.

  16. triballus
    Member
    Posted 11 months ago #

    A big thanks for all the comments and help. As part of upgrading my server to wheezy, I did an apt-get upgrade which pushed WordPress to 3.5.2 (i.e. outside of WP's normal update mechanisms). All appears to be working fine. A follow-up update on BackUpWordpress failed due to incorrect php headers which I am assuming is unrelated - the plugin is disabled and I use WP-DBManager instead.

    Still no clue as to what caused the original hitch to auto-updates but will watch the site to ensure normal operation over the next few weeks.

    Thanks to JK and Mika for your help - much appreciated.

    T

Topic Closed

This topic has been closed to new replies.

About this Topic